iPhone G4 and Mac OS X 10.4.11

Discussion in 'iPhone' started by VeraGoudi, May 18, 2011.

  1. VeraGoudi macrumors newbie

    Joined:
    May 18, 2011
    #1
    Hi! I need help!!! I have a PowerBook G4 (which is pretty old) and i just got iPhone G4. I cant sync those two together as my OS is old. Is there any way to upgrade my OS to Mac OS X 10.5.8 which is required??? Thank you in advance!!!
     
  2. FSMBP macrumors 68020

    FSMBP

    Joined:
    Jan 22, 2009
    #2
    It's just iPhone 4, and yes, you can. Purchase Mac OS X Leopard (I think it's available on Amazon) to upgrade to 10.5.8
     
  3. Kyotoma macrumors 68000

    Kyotoma

    Joined:
    Nov 11, 2010
    Location:
    Carnegie and Ontario
    #3
    Not too sure about this. I would contact Apple's support website for this matter, and I only say that because I'm not sure if the later versions of Mac OS X include firmware support for the hardware that's in your Powerbook.
     
  4. Interstella5555 macrumors 603

    Interstella5555

    Joined:
    Jun 30, 2008
    #4
    Agreed, I don't think PPC chips are supported under SL.
     
  5. old-wiz macrumors G3

    Joined:
    Mar 26, 2008
    Location:
    West Suburban Boston Ma
    #5
    SL = Snow Leopard, Intel only.

    Leopard is still supported on PPC and I have an iBook running 10.5.8, so I would expect the powerbook G4 would work on Leopard too.
     
  6. FSMBP macrumors 68020

    FSMBP

    Joined:
    Jan 22, 2009
    #6
    Leopard is Universal. I have it running on a 2005 PowerBook G4.
     

Share This Page